Bug 1611532 - ./tests/bugs/snapshot/bug-1167580-set-proper-uid-and-gid-during-nfs-access.t fails if non-anonymous fds are used in read path
Summary: ./tests/bugs/snapshot/bug-1167580-set-proper-uid-and-gid-during-nfs-access.t ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: snapshot
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohammed Rafi KC
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-02 09:50 UTC by Raghavendra G
Modified: 2018-11-20 09:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-20 09:09:59 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Raghavendra G 2018-08-02 09:50:19 UTC
Description of problem:

I was trying to debug regression failures on [1]. Note that patch [1] only disables usage of anonymous fds on readv. So, I tried the same test disabling performance.open-behind

[root@ glusterfs]# git diff
diff --git a/tests/bugs/snapshot/bug-1167580-set-proper-uid-and-gid-during-nfs-access.t b/tests/bugs/snapshot/bug-1167580-set-proper-uid-and-gid-during-nfs-access.t
index 3776451..cedf96b 100644
--- a/tests/bugs/snapshot/bug-1167580-set-proper-uid-and-gid-during-nfs-access.t
+++ b/tests/bugs/snapshot/bug-1167580-set-proper-uid-and-gid-during-nfs-access.t
@@ -79,6 +79,7 @@ TEST $CLI volume start $V0
 EXPECT_WITHIN $NFS_EXPORT_TIMEOUT "1" is_nfs_export_available
 TEST glusterfs -s $H0 --volfile-id $V0 $M0
 TEST mount_nfs $H0:/$V0 $N0 nolock
+TEST $CLI volume set $V0 performance.open-behind off
 
 # Create 2 user
 user1=$(get_new_user)


With the above change, I can see consistent failures of the test just like observed in [1].

TEST 23 (line 154): Y check_if_permitted eeefadc /mnt/glusterfs/0/.snaps/snap2/file3 cat
su: warning: cannot change directory to /tmp/tmp.eaKBKS0lfM/eeefadc: No such file or directory
cat: /mnt/glusterfs/0/.snaps/snap2/file3: Permission denied
su: warning: cannot change directory to /tmp/tmp.eaKBKS0lfM/eeefadc: No such file or directory
cat: /mnt/glusterfs/0/.snaps/snap2/file3: Permission denied
su: warning: cannot change directory to /tmp/tmp.eaKBKS0lfM/eeefadc: No such file or directory
cat: /mnt/glusterfs/0/.snaps/snap2/file3: Permission denied
su: warning: cannot change directory to /tmp/tmp.eaKBKS0lfM/eeefadc: No such file or directory
cat: /mnt/glusterfs/0/.snaps/snap2/file3: Permission denied


Test Summary Report
-------------------
./tests/bugs/snapshot/bug-1167580-set-proper-uid-and-gid-during-nfs-access.t (Wstat: 0 Tests: 46 Failed: 1)
  Failed test:  23


I am assigning this bug to snapshot as the test belongs to snapshot. However, Rafi has some analysis which points to issue not being in test itself but a different component in code. Rafi will give reasoning on why he thinks so and will change the component accordingly.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Raghavendra G 2018-08-02 09:55:49 UTC
[1] https://review.gluster.org/20511
[2] https://review.gluster.org/20428

referred in bug description.

Comment 2 Mohammed Rafi KC 2018-10-16 05:44:41 UTC
This bug is already fixed. 

https://review.gluster.org/#/c/glusterfs/+/20684/
https://review.gluster.org/#/c/glusterfs/+/20747/


Note You need to log in before you can comment on or make changes to this bug.